summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild4
-rw-r--r--dev-ruby/blankslate/blankslate-3.1.3-r1.ebuild4
-rw-r--r--dev-ruby/coderay/coderay-1.1.3-r2.ebuild46
-rw-r--r--dev-ruby/concurrent-ruby/Manifest1
-rw-r--r--dev-ruby/concurrent-ruby/concurrent-ruby-1.1.10.ebuild38
-rw-r--r--dev-ruby/connection_pool/Manifest1
-rw-r--r--dev-ruby/connection_pool/connection_pool-2.2.2.ebuild27
-rw-r--r--dev-ruby/diff-lcs/diff-lcs-1.5.0.ebuild4
-rw-r--r--dev-ruby/ed25519/Manifest1
-rw-r--r--dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild4
-rw-r--r--dev-ruby/ed25519/ed25519-1.3.0.ebuild29
-rw-r--r--dev-ruby/hiera/hiera-3.8.0.ebuild4
-rw-r--r--dev-ruby/instantiator/instantiator-0.0.7-r1.ebuild2
-rw-r--r--dev-ruby/introspection/introspection-0.0.4-r1.ebuild4
-rw-r--r--dev-ruby/localhost/localhost-1.1.9.ebuild2
-rw-r--r--dev-ruby/mocha/mocha-1.13.0.ebuild4
-rw-r--r--dev-ruby/net-scp/net-scp-3.0.0.ebuild4
-rw-r--r--dev-ruby/nio4r/nio4r-2.5.8.ebuild4
-rw-r--r--dev-ruby/rspec-core/rspec-core-3.11.0.ebuild2
-rw-r--r--dev-ruby/rspec-expectations/rspec-expectations-3.11.0.ebuild2
-rw-r--r--dev-ruby/rspec-mocks/rspec-mocks-3.11.0.ebuild2
-rw-r--r--dev-ruby/rspec-support/rspec-support-3.11.0.ebuild11
-rw-r--r--dev-ruby/rspec/rspec-3.11.0.ebuild2
-rw-r--r--dev-ruby/sshkit/sshkit-1.21.2.ebuild4
-rw-r--r--dev-ruby/thread_order/thread_order-1.1.1.ebuild4
-rw-r--r--dev-ruby/timecop/timecop-0.9.5.ebuild2
-rw-r--r--dev-ruby/x25519/x25519-1.0.9.ebuild4
27 files changed, 156 insertions, 60 deletions
diff --git a/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild b/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild
index 37813069391f..904404a877ca 100644
--- a/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild
+++ b/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
diff --git a/dev-ruby/blankslate/blankslate-3.1.3-r1.ebuild b/dev-ruby/blankslate/blankslate-3.1.3-r1.ebuild
index b6499aceb038..e6769e50526d 100644
--- a/dev-ruby/blankslate/blankslate-3.1.3-r1.ebuild
+++ b/dev-ruby/blankslate/blankslate-3.1.3-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="README"
diff --git a/dev-ruby/coderay/coderay-1.1.3-r2.ebuild b/dev-ruby/coderay/coderay-1.1.3-r2.ebuild
new file mode 100644
index 000000000000..e02963145021
--- /dev/null
+++ b/dev-ruby/coderay/coderay-1.1.3-r2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+# The test target also contains test:exe but that requires
+# shoulda-context which we do not have packaged yet.
+RUBY_FAKEGEM_TASK_TEST="spec test:functional test:units"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="Changes-pre-1.0.textile Changes.textile FOLDERS README_INDEX.rdoc README.markdown"
+
+RUBY_FAKEGEM_GEMSPEC="coderay.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby library for syntax highlighting"
+HOMEPAGE="http://coderay.rubychan.de/"
+SRC_URI="https://github.com/rubychan/coderay/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+PATCHES=("${FILESDIR}/${P}-ruby30.patch")
+
+# Redcloth is an optional but automagically tested dependency. This
+# requires redcloth-4.2.2. We don't depend on this version to make
+# bootstrapping rspec with new versions easier, since redcloth depends
+# on rake-compiler.
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e '/git ls-files/ s:^:#:' -e 's/.rc.*"/"/' coderay.gemspec || die
+ sed -i -e '/simplecov/ s:^:#:' spec/spec_helper.rb test/*/*.rb || die
+
+ # Fix failing tests for lazy evaluation in ruby26
+ sed -i -e 's/\.filter$/.filter.to_a/' test/unit/filter.rb || die
+}
diff --git a/dev-ruby/concurrent-ruby/Manifest b/dev-ruby/concurrent-ruby/Manifest
index 7e6ae63bf1e8..85cb41082024 100644
--- a/dev-ruby/concurrent-ruby/Manifest
+++ b/dev-ruby/concurrent-ruby/Manifest
@@ -1 +1,2 @@
+DIST concurrent-ruby-1.1.10.tar.gz 6013684 BLAKE2B d271579a49ab52c9c41a7a0a31451775e1cba8ce19486b52a9eb3df7abbc66f7610d31284fc02747a8ee5f429983d8283b6fe92f22b911dcda5bc515da58b48f SHA512 cfb67ce806d1f2a5bae509806247bfefb05c56794741cedcaa7ab6ff708085e374d150e8f46ff8e04dcb0918fde8ab5a593c60550da9ff6dc00af116e123f064
DIST concurrent-ruby-1.1.9.tar.gz 4923746 BLAKE2B 2bfea989db31f17c69ee479091135516e2aeef7ac74234ccea91b2e4b3626395683a7b2ebba1d13cb527903d3d83c51e873bdb859f0ff1983062fea4fa90a1e4 SHA512 243fc20795bcd7399bdf77a9b0db9b0bccb1b05edacf4fbc8f5515f59502300b4033a2a59bfb6adea9befdb20759c9f58bbf0e7744e934c85738085bef714ea6
diff --git a/dev-ruby/concurrent-ruby/concurrent-ruby-1.1.10.ebuild b/dev-ruby/concurrent-ruby/concurrent-ruby-1.1.10.ebuild
new file mode 100644
index 000000000000..4e6cb7eb5ab8
--- /dev/null
+++ b/dev-ruby/concurrent-ruby/concurrent-ruby-1.1.10.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Modern concurrency tools including agents, futures, promises, thread pools, more"
+HOMEPAGE="https://github.com/ruby-concurrency/concurrent-ruby"
+SRC_URI="https://github.com/ruby-concurrency/concurrent-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( >=dev-ruby/timecop-0.7.4 )"
+
+all_ruby_prepare() {
+ # Remove edge files as defined in support/file_map.rb
+ rm -rf spec/concurrent/{actor,cancellation,channel,edge,lazy_register,promises,throttle}* || die
+ rm -r spec/concurrent/executor/wrapping_executor_spec.rb || die
+ sed -i -e '/concurrent-edge/ s:^:#:' spec/spec_helper.rb || die
+ sed -i -e 's:lib-edge:lib/concurrent-ruby:' .rspec || die
+ sed -i -e 's:../../../::' spec/concurrent/executor/executor_quits.rb || die
+
+ # Remove specs for the ext gem
+ rm -rf spec/concurrent/atomic || die
+
+ sed -i 's/git ls-files/find * -print/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/connection_pool/Manifest b/dev-ruby/connection_pool/Manifest
index 8391acceedac..ace5885d27f3 100644
--- a/dev-ruby/connection_pool/Manifest
+++ b/dev-ruby/connection_pool/Manifest
@@ -1,2 +1 @@
-DIST connection_pool-2.2.2.gem 13824 BLAKE2B 2f52bb3451dec5916d5797596f7bc3dbf39845321ee83736d679c433e96f154db852469b1f6d0d3b7c7f48262f7840087d89cdd40ece22b67a29c20ff77274dd SHA512 74cb64aa3f183ee4e41f438133f60581e9f99a1d5b5daf61607cff2329bfb1fbd8810d87c35d709418a22ad925049e3e9403a602107452414a67aee1c6eecfe9
DIST connection_pool-2.2.5.gem 14848 BLAKE2B d3e21e5d3c330fb501e9890260c0fed003f3c8afc6a9106c139f77e879c45232de1cbc16be6088c757a1204f3c64b0797010fddc0d1c9cf555389348b6f61152 SHA512 3bc4e4d241cd4b1adb00d341aafe7795bbf0eff459ace962670d83c20c0eaa0d42f49a1f5e61c2327ff4fcbf3abfbc6f6c910f7a31d4a0f62bc55c782ab20e45
diff --git a/dev-ruby/connection_pool/connection_pool-2.2.2.ebuild b/dev-ruby/connection_pool/connection_pool-2.2.2.ebuild
deleted file mode 100644
index 62f3228df938..000000000000
--- a/dev-ruby/connection_pool/connection_pool-2.2.2.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_RECIPE_TEST="rake"
-RUBY_FAKEGEM_RECIPE_DOC="none"
-RUBY_FAKEGEM_EXTRADOC="Changes.md README.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Generic connection pooling for Ruby"
-HOMEPAGE="https://github.com/mperham/connection_pool"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc x86"
-IUSE=""
-
-ruby_add_bdepend "test? ( >=dev-ruby/minitest-5 )"
-
-all_ruby_prepare() {
- sed -i -e '/git ls-files/d' connection_pool.gemspec || die
- sed -i -e '/bundler/d' Rakefile || die
- sed -i -e "s/gem 'minitest'/gem 'minitest', '~> 5.0'/" test/helper.rb || die
-}
diff --git a/dev-ruby/diff-lcs/diff-lcs-1.5.0.ebuild b/dev-ruby/diff-lcs/diff-lcs-1.5.0.ebuild
index 53ba77ba28b9..38a898e746b6 100644
--- a/dev-ruby/diff-lcs/diff-lcs-1.5.0.ebuild
+++ b/dev-ruby/diff-lcs/diff-lcs-1.5.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/ed25519/Manifest b/dev-ruby/ed25519/Manifest
index aacf5d4f0ae1..44bc214b2a57 100644
--- a/dev-ruby/ed25519/Manifest
+++ b/dev-ruby/ed25519/Manifest
@@ -1 +1,2 @@
DIST ed25519-1.2.4.tar.gz 136685 BLAKE2B d0fd78f16df2b09f5835fca4b0963cee930e17ece2c4eea2cbf4544ed1a5e30c7dc63525b285f4e1e150e5e70d1e8207ca07ce985c27441a903c69875fd92dee SHA512 cf2de7781848d804f3a279baef26f887846d7d846d225293c74dc3f4e301d18518c9edc8b721f9637fff8f087703e91d2376119f2d8185ef19be5862f99801b3
+DIST ed25519-1.3.0.tar.gz 137160 BLAKE2B 520ffa6bd0a801faa9f5f63873d705a211c3dba0e5319246b77bd455585e60baf7c7829ddebb892a896c1ae763e6df732115675307451c33bb20f56bb7c89be4 SHA512 dbd108769e131d15e4f31eaf7f4a46530769f279ccbbe4a10b5fe9e1d394bafb0ea6af95b6b1da2d66db00072576ff9d6d5c9156d949d79daf929a9dbd22eea8
diff --git a/dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild b/dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild
index 3b2578925016..08e98bf86a2b 100644
--- a/dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild
+++ b/dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -21,7 +21,7 @@ SRC_URI="https://github.com/crypto-rb/ed25519/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="MIT"
SLOT="1"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ppc ppc64 x86"
IUSE=""
all_ruby_prepare() {
diff --git a/dev-ruby/ed25519/ed25519-1.3.0.ebuild b/dev-ruby/ed25519/ed25519-1.3.0.ebuild
new file mode 100644
index 000000000000..259a7fcc67ec
--- /dev/null
+++ b/dev-ruby/ed25519/ed25519-1.3.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/ed25519_ref10/extconf.rb)
+
+RUBY_FAKEGEM_GEMSPEC="ed25519.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library for the Ed25519 public-key signature system"
+HOMEPAGE="https://github.com/crypto-rb/ed25519"
+SRC_URI="https://github.com/crypto-rb/ed25519/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/\(bundler\|coverall\)/I s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/hiera/hiera-3.8.0.ebuild b/dev-ruby/hiera/hiera-3.8.0.ebuild
index 64459347e542..3b1b0ea452f0 100644
--- a/dev-ruby/hiera/hiera-3.8.0.ebuild
+++ b/dev-ruby/hiera/hiera-3.8.0.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
@@ -17,7 +17,7 @@ HOMEPAGE="https://docs.puppet.com/hiera/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ppc ~ppc64 ~sparc ~x86"
ruby_add_bdepend "test? ( dev-ruby/mocha )"
diff --git a/dev-ruby/instantiator/instantiator-0.0.7-r1.ebuild b/dev-ruby/instantiator/instantiator-0.0.7-r1.ebuild
index 548bb30d90d8..6f6eac191a73 100644
--- a/dev-ruby/instantiator/instantiator-0.0.7-r1.ebuild
+++ b/dev-ruby/instantiator/instantiator-0.0.7-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="README.md"
diff --git a/dev-ruby/introspection/introspection-0.0.4-r1.ebuild b/dev-ruby/introspection/introspection-0.0.4-r1.ebuild
index b56550044c28..1e260ca2ed49 100644
--- a/dev-ruby/introspection/introspection-0.0.4-r1.ebuild
+++ b/dev-ruby/introspection/introspection-0.0.4-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
# No documentation task
RUBY_FAKEGEM_TASK_DOC=""
diff --git a/dev-ruby/localhost/localhost-1.1.9.ebuild b/dev-ruby/localhost/localhost-1.1.9.ebuild
index 9bcc638f55b1..fa89c38913b4 100644
--- a/dev-ruby/localhost/localhost-1.1.9.ebuild
+++ b/dev-ruby/localhost/localhost-1.1.9.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_GEMSPEC="localhost.gemspec"
diff --git a/dev-ruby/mocha/mocha-1.13.0.ebuild b/dev-ruby/mocha/mocha-1.13.0.ebuild
index cf08b665dfa4..d95ad4cf3f1f 100644
--- a/dev-ruby/mocha/mocha-1.13.0.ebuild
+++ b/dev-ruby/mocha/mocha-1.13.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_TASK_TEST="test:units test:acceptance"
diff --git a/dev-ruby/net-scp/net-scp-3.0.0.ebuild b/dev-ruby/net-scp/net-scp-3.0.0.ebuild
index 2a3098587cf8..ba8bc03a74f2 100644
--- a/dev-ruby/net-scp/net-scp-3.0.0.ebuild
+++ b/dev-ruby/net-scp/net-scp-3.0.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.rdoc"
diff --git a/dev-ruby/nio4r/nio4r-2.5.8.ebuild b/dev-ruby/nio4r/nio4r-2.5.8.ebuild
index a5b3c072c475..a24ad552c54c 100644
--- a/dev-ruby/nio4r/nio4r-2.5.8.ebuild
+++ b/dev-ruby/nio4r/nio4r-2.5.8.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/rspec-core/rspec-core-3.11.0.ebuild b/dev-ruby/rspec-core/rspec-core-3.11.0.ebuild
index f74ed0d62b0a..c0b87a3cfaed 100644
--- a/dev-ruby/rspec-core/rspec-core-3.11.0.ebuild
+++ b/dev-ruby/rspec-core/rspec-core-3.11.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_TASK_TEST="none"
diff --git a/dev-ruby/rspec-expectations/rspec-expectations-3.11.0.ebuild b/dev-ruby/rspec-expectations/rspec-expectations-3.11.0.ebuild
index 5180c98f1449..75e012d1768d 100644
--- a/dev-ruby/rspec-expectations/rspec-expectations-3.11.0.ebuild
+++ b/dev-ruby/rspec-expectations/rspec-expectations-3.11.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/rspec-mocks/rspec-mocks-3.11.0.ebuild b/dev-ruby/rspec-mocks/rspec-mocks-3.11.0.ebuild
index d3fe5e097e27..2cd5b07d4234 100644
--- a/dev-ruby/rspec-mocks/rspec-mocks-3.11.0.ebuild
+++ b/dev-ruby/rspec-mocks/rspec-mocks-3.11.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/rspec-support/rspec-support-3.11.0.ebuild b/dev-ruby/rspec-support/rspec-support-3.11.0.ebuild
index d7fe9d10c9e9..b655ae6d9d07 100644
--- a/dev-ruby/rspec-support/rspec-support-3.11.0.ebuild
+++ b/dev-ruby/rspec-support/rspec-support-3.11.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
@@ -44,6 +44,15 @@ all_ruby_prepare() {
each_ruby_prepare() {
# Use the ruby version being tested
sed -i -e '/shell_out/ s:ruby:'${RUBY}':' spec/rspec/support/spec/shell_out_spec.rb || die
+
+ case ${RUBY} in
+ *ruby31)
+ # Avoid specs failing when run in Gentoo, possibly due to different IO
+ sed -e '/outputs unified diff message of two arrays/askip "ruby31 IO"' \
+ -e '/outputs unified diff message for hashes inside arrays with differing key orders/askip "ruby31 IO"' \
+ -i spec/rspec/support/differ_spec.rb || die
+ ;;
+ esac
}
each_ruby_test() {
diff --git a/dev-ruby/rspec/rspec-3.11.0.ebuild b/dev-ruby/rspec/rspec-3.11.0.ebuild
index 2586a6263a7b..aeda19c5dbd0 100644
--- a/dev-ruby/rspec/rspec-3.11.0.ebuild
+++ b/dev-ruby/rspec/rspec-3.11.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_TASK_TEST=""
diff --git a/dev-ruby/sshkit/sshkit-1.21.2.ebuild b/dev-ruby/sshkit/sshkit-1.21.2.ebuild
index 08eaca39db62..339616db4166 100644
--- a/dev-ruby/sshkit/sshkit-1.21.2.ebuild
+++ b/dev-ruby/sshkit/sshkit-1.21.2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
# There are functional tests that require vagrant boxes to be set up.
RUBY_FAKEGEM_TASK_TEST="test:units"
diff --git a/dev-ruby/thread_order/thread_order-1.1.1.ebuild b/dev-ruby/thread_order/thread_order-1.1.1.ebuild
index 24c840b4c3d7..46a00ee1f31e 100644
--- a/dev-ruby/thread_order/thread_order-1.1.1.ebuild
+++ b/dev-ruby/thread_order/thread_order-1.1.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/timecop/timecop-0.9.5.ebuild b/dev-ruby/timecop/timecop-0.9.5.ebuild
index 0286f658465d..debfad270072 100644
--- a/dev-ruby/timecop/timecop-0.9.5.ebuild
+++ b/dev-ruby/timecop/timecop-0.9.5.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_TASK_TEST="test"
diff --git a/dev-ruby/x25519/x25519-1.0.9.ebuild b/dev-ruby/x25519/x25519-1.0.9.ebuild
index 4fcd86a05d77..14c42adfd8ec 100644
--- a/dev-ruby/x25519/x25519-1.0.9.ebuild
+++ b/dev-ruby/x25519/x25519-1.0.9.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
@@ -21,7 +21,7 @@ SRC_URI="https://github.com/crypto-rb/x25519/archive/v${PV}.tar.gz -> ${P}.tar.g
LICENSE="BSD"
SLOT="$(ver_cut 1)"
-KEYWORDS="amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ppc ppc64 ~x86"
IUSE=""
all_ruby_prepare() {